<template>
  <el-row :gutter="20">
    <el-col :span="12">
      <el-form-item label="Полное название" prop="">
        <el-input v-model="this.personForm.company.full_name_comp"/>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="Сокращенное название" prop="">
        <el-input v-model="this.personForm.company.short_name_comp"/>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="Полное международное название" prop="">
        <el-input v-model="this.personForm.company.full_international_name"/>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="Сокращенное международное название" prop="">
        <el-input v-model="this.personForm.company.short_international_name"/>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="Наименование компании для ЦБ" prop="">
        <el-input v-model="this.personForm.company.name_comp_for_cb"/>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="ИНН" prop="">
        <el-input v-model="this.personForm.company.inn"/>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="ОГРН" prop="">
        <el-input v-model="this.personForm.company.ogrn"/>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="Дата ОГРН" prop="">
        <el-date-picker
            v-model="this.personForm.company.data_reg"
            type="date"
            placeholder="Дата ОГРН"
            format="YYYY/MM/DD"
            value-format="YYYY-MM-DD"
        />
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="Орган регистрации" prop="">
        <el-input v-model="this.personForm.company.organ_registr"/>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="КПП" prop="">
        <el-input v-model="this.personForm.company.kpp"/>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="TIN" prop="">
        <el-input v-model="this.personForm.company.tin"/>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="БИК" prop="">
        <el-input v-model="this.personForm.company.bik"/>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="Уставный капитал" prop="">
        <el-input-number :controls="false" v-model="this.personForm.company.ustav_capital"/>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="ОКПО" prop="">
        <el-input v-model="this.personForm.company.okpo"/>
      </el-form-item>
    </el-col>
<!--    <el-col :span="12">-->
<!--      <el-form-item label="ОКОПФ" prop="">-->
<!--        <el-input v-model="this.personForm.company.okpfo_id"/>-->
<!--      </el-form-item>-->
<!--    </el-col>-->
    <el-col :span="12">
      <el-form-item label="ОКФС" prop="">
        <el-input v-model="this.personForm.company.okfc"/>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="ОКВЭД" prop="">
        <el-input v-model="this.personForm.company.okved"/>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="ОКОГУ" prop="">
        <el-input v-model="this.personForm.company.okogu"/>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="ОКТМО" prop="">
        <el-input v-model="this.personForm.company.oktmo"/>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="Сектор экономики" prop="">
        <el-select v-model="this.personForm.company.sektor_ekon_id" placeholder="Сектор экономики">
          <el-option
              v-for="item in this.dictionaries.economic_sector"
              :key="item.id"
              :label="item.name"
              :value="item.id"
          />
        </el-select>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="Номинальный держатель" prop="">
        <el-select v-model="this.personForm.company.nomin_derj" placeholder="Номинальный держатель">
          <el-option
              v-for="item in this.options.boolean"
              :key="item.id"
              :label="item.name"
              :value="item.id"
          />
        </el-select>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="Иностранный номинальный держатель" prop="">
        <el-select v-model="this.personForm.company.inostr_nomin_derj" placeholder="Иностранный номинальный держатель">
          <el-option
              v-for="item in this.options.boolean"
              :key="item.id"
              :label="item.name"
              :value="item.id"
          />
        </el-select>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="Кредитная компания" prop="">
        <el-select v-model="this.personForm.company.credit_comp" placeholder="Кредитная компания">
          <el-option
              v-for="item in this.options.boolean"
              :key="item.id"
              :label="item.name"
              :value="item.id"
          />
        </el-select>
      </el-form-item>
    </el-col>
  </el-row>
</template>

<script>
import moment from "moment";
export default {
  data:()=>({
    loading: false,
  }),
  methods:{
    dateFormat(data){
      return moment(data).format('DD.MM.YYYY')
    }
  },
  computed:{
    personForm() {
      return this.$store.getters.get_person_form;
    },
    dictionaries() {
      return this.$store.getters.get_dictionaries;
    },
    options() {
      return this.$store.getters.get_options;
    }
  }
}
</script>